VTK: vtkLZ4DataCompressor Class Reference

| VTK 9.0.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkLZ4DataCompressor Class Reference

Data compression using LZ4. More...

`#include <vtkLZ4DataCompressor.h>`

Inheritance diagram for vtkLZ4DataCompressor:
[legend]
Collaboration diagram for vtkLZ4DataCompressor:
[legend]

## Public Types
typedef vtkDataCompressor | Superclass
Public Types inherited from vtkDataCompressor
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkLZ4DataCompressor * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
size_t | GetMaximumCompressionSpace (size_t size) override
| Get the maximum space that may be needed to store data of the given uncompressed size after compression. More...
int | GetCompressionLevel () override
| Get/Set the compression level. More...
void | SetCompressionLevel (int compressionLevel) override
| Compression performance varies greatly with compression level Require level setting from any vtkDataCompressor Different compressors handle performance parameters differently vtkDataCompressors should take a value between 1 and 9 where 1 is fastest compression, and 9 is best compression. More...
virtual void | SetAccelerationLevel (int)
virtual int | GetAccelerationLevel ()
Public Member Functions inherited from vtkDataCompressor
vtkDataCompressor * | NewInstance () const
size_t | Compress (unsigned char const *uncompressedData, size_t uncompressedSize, unsigned char *compressedData, size_t compressionSpace)
| Compress the given input data buffer into the given output buffer. More...
size_t | Uncompress (unsigned char const *compressedData, size_t compressedSize, unsigned char *uncompressedData, size_t uncompressedSize)
| Uncompress the given input data into the given output buffer. More...
vtkUnsignedCharArray * | Compress (unsigned char const *uncompressedData, size_t uncompressedSize)
| Compress the given data. More...
vtkUnsignedCharArray * | Uncompress (unsigned char const *compressedData, size_t compressedSize, size_t uncompressedSize)
| Uncompress the given data. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
vtkCommand * | GetCommand (unsigned long tag)
void | RemoveObserver (vtkCommand *)
void | RemoveObservers (unsigned long event, vtkCommand *)
void | RemoveObservers (const char *event, vtkCommand *)
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
int | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
int | InvokeEvent (const char *event, void *callData)
int | InvokeEvent (unsigned long event)
int | InvokeEvent (const char *event)
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
void | PrintRevisions (ostream &)
| Legacy. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkLZ4DataCompressor * | SafeDownCast (vtkObjectBase *o)
static vtkLZ4DataCompressor * | New ()
Static Public Member Functions inherited from vtkDataCompressor
static vtkTypeBool | IsTypeOf (const char *type)
static vtkDataCompressor * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (int val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
static void | GlobalWarningDisplayOff ()
static int | GetGlobalWarningDisplay ()
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkLZ4DataCompressor ()
| ~vtkLZ4DataCompressor () override
size_t | CompressBuffer (unsigned char const *uncompressedData, size_t uncompressedSize, unsigned char *compressedData, size_t compressionSpace) override
size_t | UncompressBuffer (unsigned char const *compressedData, size_t compressedSize, unsigned char *uncompressedData, size_t uncompressedSize) override
Protected Member Functions inherited from vtkDataCompressor
| vtkDataCompressor ()
| ~vtkDataCompressor () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | CollectRevisions (ostream &)
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | AccelerationLevel
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

Data compression using LZ4.

vtkLZ4DataCompressor provides a concrete vtkDataCompressor class using LZ4 for compressing and uncompressing data.

Definition at line 29 of file vtkLZ4DataCompressor.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkDataCompressor vtkLZ4DataCompressor::Superclass

Definition at line 32 of file vtkLZ4DataCompressor.h.

## Constructor & Destructor Documentation

## ◆ vtkLZ4DataCompressor()

vtkLZ4DataCompressor::vtkLZ4DataCompressor | ( |  | ) |
| protected

## ◆ ~vtkLZ4DataCompressor()

vtkLZ4DataCompressor::~vtkLZ4DataCompressor | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkLZ4DataCompressor::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkLZ4DataCompressor::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkDataCompressor.

## ◆ SafeDownCast()

static vtkLZ4DataCompressor* vtkLZ4DataCompressor::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkLZ4DataCompressor::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkDataCompressor.

## ◆ NewInstance()

vtkLZ4DataCompressor* vtkLZ4DataCompressor::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkLZ4DataCompressor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkDataCompressor.

## ◆ New()

static vtkLZ4DataCompressor* vtkLZ4DataCompressor::New | ( |  | ) |
| static

## ◆ GetMaximumCompressionSpace()

size_t vtkLZ4DataCompressor::GetMaximumCompressionSpace | ( | size_t | size | ) |
| overridevirtual

Get the maximum space that may be needed to store data of the given uncompressed size after compression.

This is the minimum size of the output buffer that can be passed to the four-argument Compress method.

Implements vtkDataCompressor.

## ◆ GetCompressionLevel()

int vtkLZ4DataCompressor::GetCompressionLevel | ( |  | ) |
| overridevirtual

Get/Set the compression level.

Implements vtkDataCompressor.

## ◆ SetCompressionLevel()

void vtkLZ4DataCompressor::SetCompressionLevel | ( | int | compressionLevel | ) |
| overridevirtual

Compression performance varies greatly with compression level Require level setting from any vtkDataCompressor Different compressors handle performance parameters differently vtkDataCompressors should take a value between 1 and 9 where 1 is fastest compression, and 9 is best compression.

Implements vtkDataCompressor.

## ◆ SetAccelerationLevel()

virtual void vtkLZ4DataCompressor::SetAccelerationLevel | ( | int |  | ) |
| virtual

## ◆ GetAccelerationLevel()

virtual int vtkLZ4DataCompressor::GetAccelerationLevel | ( |  | ) |
| virtual

## ◆ CompressBuffer()

size_t vtkLZ4DataCompressor::CompressBuffer | ( | unsigned char const * | uncompressedData,
|  | size_t | uncompressedSize,
|  | unsigned char * | compressedData,
|  | size_t | compressionSpace
| ) |  |
| overrideprotectedvirtual

Implements vtkDataCompressor.

## ◆ UncompressBuffer()

size_t vtkLZ4DataCompressor::UncompressBuffer | ( | unsigned char const * | compressedData,
|  | size_t | compressedSize,
|  | unsigned char * | uncompressedData,
|  | size_t | uncompressedSize
| ) |  |
| overrideprotectedvirtual

Implements vtkDataCompressor.

## Member Data Documentation

## ◆ AccelerationLevel

int vtkLZ4DataCompressor::AccelerationLevel
| protected

Definition at line 61 of file vtkLZ4DataCompressor.h.

The documentation for this class was generated from the following file:

- IO/Core/vtkLZ4DataCompressor.h